Package org.lwjgl.opengl

# Class ARBShaderImageLoadStore

java.lang.Object
org.lwjgl.opengl.ARBShaderImageLoadStore

public final class ARBShaderImageLoadStore extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_ALL_BARRIER_BITS`
Accepted by the <barriers> parameter of MemoryBarrier:
`static final int`
`GL_ATOMIC_COUNTER_BARRIER_BIT`
Accepted by the <barriers> parameter of MemoryBarrier:
`static final int`
`GL_BUFFER_UPDATE_BARRIER_BIT`
Accepted by the <barriers> parameter of MemoryBarrier:
`static final int`
`GL_COMMAND_BARRIER_BIT`
Accepted by the <barriers> parameter of MemoryBarrier:
`static final int`
`GL_ELEMENT_ARRAY_BARRIER_BIT`
Accepted by the <barriers> parameter of MemoryBarrier:
`static final int`
`GL_FRAMEBUFFER_BARRIER_BIT`
Accepted by the <barriers> parameter of MemoryBarrier:
`static final int`
`GL_IMAGE_1D`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_IMAGE_1D_ARRAY`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_IMAGE_2D`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_IMAGE_2D_ARRAY`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_IMAGE_2D_MULTISAMPLE`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_IMAGE_2D_MULTISAMPLE_ARRAY`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_IMAGE_2D_RECT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_IMAGE_3D`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_IMAGE_BINDING_ACCESS`
Accepted by the <target> parameter of GetIntegeri_v and GetBooleani_v:
`static final int`
`GL_IMAGE_BINDING_FORMAT`
Accepted by the <target> parameter of GetIntegeri_v and GetBooleani_v:
`static final int`
`GL_IMAGE_BINDING_LAYER`
Accepted by the <target> parameter of GetIntegeri_v and GetBooleani_v:
`static final int`
`GL_IMAGE_BINDING_LAYERED`
Accepted by the <target> parameter of GetIntegeri_v and GetBooleani_v:
`static final int`
`GL_IMAGE_BINDING_LEVEL`
Accepted by the <target> parameter of GetIntegeri_v and GetBooleani_v:
`static final int`
`GL_IMAGE_BINDING_NAME`
Accepted by the <target> parameter of GetIntegeri_v and GetBooleani_v:
`static final int`
`GL_IMAGE_BUFFER`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_IMAGE_CUBE`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_IMAGE_CUBE_MAP_ARRAY`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_IMAGE_FORMAT_COMPATIBILITY_BY_SIZE`
Returned in the <data> parameter of GetTexParameteriv, GetTexParameterfv, GetTexParameterIiv, and GetTexParameterIuiv when <value> is IMAGE_FORMAT_COMPATIBILITY_TYPE:
`static final int`
`GL_IMAGE_FORMAT_COMPATIBILITY_TYPE`
Accepted by the <value> parameter of GetTexParameteriv, GetTexParameterfv, GetTexParameterIiv, and GetTexParameterIuiv:
`static final int`
`GL_INT_IMAGE_1D`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_INT_IMAGE_1D_ARRAY`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_INT_IMAGE_2D`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_INT_IMAGE_2D_ARRAY`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_INT_IMAGE_2D_MULTISAMPLE`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_INT_IMAGE_2D_MULTISAMPLE_ARRAY`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_INT_IMAGE_2D_RECT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_INT_IMAGE_3D`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_INT_IMAGE_BUFFER`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_INT_IMAGE_CUBE`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_INT_IMAGE_CUBE_MAP_ARRAY`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_MAX_COMBINED_IMAGE_UNIFORMS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:
`static final int`
`GL_MAX_COMBINED_IMAGE_UNITS_AND_FRAGMENT_OUTPUTS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:
`static final int`
`GL_MAX_FRAGMENT_IMAGE_UNIFORMS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:
`static final int`
`GL_MAX_GEOMETRY_IMAGE_UNIFORMS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:
`static final int`
`GL_MAX_IMAGE_SAMPLES`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:
`static final int`
`GL_MAX_IMAGE_UNITS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:
`static final int`
`GL_MAX_TESS_CONTROL_IMAGE_UNIFORMS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:
`static final int`
`GL_MAX_TESS_EVALUATION_IMAGE_UNIFORMS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:
`static final int`
`GL_MAX_VERTEX_IMAGE_UNIFORMS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:
`static final int`
`GL_PIXEL_BUFFER_BARRIER_BIT`
Accepted by the <barriers> parameter of MemoryBarrier:
`static final int`
`GL_SHADER_IMAGE_ACCESS_BARRIER_BIT`
Accepted by the <barriers> parameter of MemoryBarrier:
`static final int`
`GL_TEXTURE_FETCH_BARRIER_BIT`
Accepted by the <barriers> parameter of MemoryBarrier:
`static final int`
`GL_TEXTURE_UPDATE_BARRIER_BIT`
Accepted by the <barriers> parameter of MemoryBarrier:
`static final int`
`GL_TRANSFORM_FEEDBACK_BARRIER_BIT`
Accepted by the <barriers> parameter of MemoryBarrier:
`static final int`
`GL_UNIFORM_BARRIER_BIT`
Accepted by the <barriers> parameter of MemoryBarrier:
`static final int`
`GL_UNSIGNED_INT_IMAGE_1D`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_IMAGE_1D_ARRAY`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_IMAGE_2D`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_IMAGE_2D_ARRAY`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_IMAGE_2D_MULTISAMPLE`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_IMAGE_2D_MULTISAMPLE_ARRAY`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_IMAGE_2D_RECT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_IMAGE_3D`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_IMAGE_BUFFER`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_IMAGE_CUBE`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_IMAGE_CUBE_MAP_ARRAY`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_VERTEX_ATTRIB_ARRAY_BARRIER_BIT`
Accepted by the <barriers> parameter of MemoryBarrier:
`static final int`
`IMAGE_FORMAT_COMPATIBILITY_BY_CLASS`
Returned in the <data> parameter of GetTexParameteriv, GetTexParameterfv, GetTexParameterIiv, and GetTexParameterIuiv when <value> is IMAGE_FORMAT_COMPATIBILITY_TYPE:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glBindImageTexture(int unit, int texture, int level, boolean layered, int layer, int access, int format)`
`static void`
`glMemoryBarrier(int barriers)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_MAX_IMAGE_UNITS

public static final int GL_MAX_IMAGE_UNITS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_COMBINED_IMAGE_UNITS_AND_FRAGMENT_OUTPUTS

public static final int GL_MAX_COMBINED_IMAGE_UNITS_AND_FRAGMENT_OUTPUTS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_IMAGE_SAMPLES

public static final int GL_MAX_IMAGE_SAMPLES
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_VERTEX_IMAGE_UNIFORMS

public static final int GL_MAX_VERTEX_IMAGE_UNIFORMS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_TESS_CONTROL_IMAGE_UNIFORMS

public static final int GL_MAX_TESS_CONTROL_IMAGE_UNIFORMS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_TESS_EVALUATION_IMAGE_UNIFORMS

public static final int GL_MAX_TESS_EVALUATION_IMAGE_UNIFORMS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_GEOMETRY_IMAGE_UNIFORMS

public static final int GL_MAX_GEOMETRY_IMAGE_UNIFORMS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_FRAGMENT_IMAGE_UNIFORMS

public static final int GL_MAX_FRAGMENT_IMAGE_UNIFORMS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_COMBINED_IMAGE_UNIFORMS

public static final int GL_MAX_COMBINED_IMAGE_UNIFORMS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_IMAGE_BINDING_NAME

public static final int GL_IMAGE_BINDING_NAME
Accepted by the <target> parameter of GetIntegeri_v and GetBooleani_v:

See Also:
  - Constant Field Values

### GL_IMAGE_BINDING_LEVEL

public static final int GL_IMAGE_BINDING_LEVEL
Accepted by the <target> parameter of GetIntegeri_v and GetBooleani_v:

See Also:
  - Constant Field Values

### GL_IMAGE_BINDING_LAYERED

public static final int GL_IMAGE_BINDING_LAYERED
Accepted by the <target> parameter of GetIntegeri_v and GetBooleani_v:

See Also:
  - Constant Field Values

### GL_IMAGE_BINDING_LAYER

public static final int GL_IMAGE_BINDING_LAYER
Accepted by the <target> parameter of GetIntegeri_v and GetBooleani_v:

See Also:
  - Constant Field Values

### GL_IMAGE_BINDING_ACCESS

public static final int GL_IMAGE_BINDING_ACCESS
Accepted by the <target> parameter of GetIntegeri_v and GetBooleani_v:

See Also:
  - Constant Field Values

### GL_IMAGE_BINDING_FORMAT

public static final int GL_IMAGE_BINDING_FORMAT
Accepted by the <target> parameter of GetIntegeri_v and GetBooleani_v:

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_BARRIER_BIT

public static final int GL_VERTEX_ATTRIB_ARRAY_BARRIER_BIT
Accepted by the <barriers> parameter of MemoryBarrier:

See Also:
  - Constant Field Values

### GL_ELEMENT_ARRAY_BARRIER_BIT

public static final int GL_ELEMENT_ARRAY_BARRIER_BIT
Accepted by the <barriers> parameter of MemoryBarrier:

See Also:
  - Constant Field Values

### GL_UNIFORM_BARRIER_BIT

public static final int GL_UNIFORM_BARRIER_BIT
Accepted by the <barriers> parameter of MemoryBarrier:

See Also:
  - Constant Field Values

### GL_TEXTURE_FETCH_BARRIER_BIT

public static final int GL_TEXTURE_FETCH_BARRIER_BIT
Accepted by the <barriers> parameter of MemoryBarrier:

See Also:
  - Constant Field Values

### GL_SHADER_IMAGE_ACCESS_BARRIER_BIT

public static final int GL_SHADER_IMAGE_ACCESS_BARRIER_BIT
Accepted by the <barriers> parameter of MemoryBarrier:

See Also:
  - Constant Field Values

### GL_COMMAND_BARRIER_BIT

public static final int GL_COMMAND_BARRIER_BIT
Accepted by the <barriers> parameter of MemoryBarrier:

See Also:
  - Constant Field Values

### GL_PIXEL_BUFFER_BARRIER_BIT

public static final int GL_PIXEL_BUFFER_BARRIER_BIT
Accepted by the <barriers> parameter of MemoryBarrier:

See Also:
  - Constant Field Values

### GL_TEXTURE_UPDATE_BARRIER_BIT

public static final int GL_TEXTURE_UPDATE_BARRIER_BIT
Accepted by the <barriers> parameter of MemoryBarrier:

See Also:
  - Constant Field Values

### GL_BUFFER_UPDATE_BARRIER_BIT

public static final int GL_BUFFER_UPDATE_BARRIER_BIT
Accepted by the <barriers> parameter of MemoryBarrier:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_BARRIER_BIT

public static final int GL_FRAMEBUFFER_BARRIER_BIT
Accepted by the <barriers> parameter of MemoryBarrier:

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_BARRIER_BIT

public static final int GL_TRANSFORM_FEEDBACK_BARRIER_BIT
Accepted by the <barriers> parameter of MemoryBarrier:

See Also:
  - Constant Field Values

### GL_ATOMIC_COUNTER_BARRIER_BIT

public static final int GL_ATOMIC_COUNTER_BARRIER_BIT
Accepted by the <barriers> parameter of MemoryBarrier:

See Also:
  - Constant Field Values

### GL_ALL_BARRIER_BITS

public static final int GL_ALL_BARRIER_BITS
Accepted by the <barriers> parameter of MemoryBarrier:

See Also:
  - Constant Field Values

### GL_IMAGE_1D

public static final int GL_IMAGE_1D
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_IMAGE_2D

public static final int GL_IMAGE_2D
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_IMAGE_3D

public static final int GL_IMAGE_3D
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_IMAGE_2D_RECT

public static final int GL_IMAGE_2D_RECT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_IMAGE_CUBE

public static final int GL_IMAGE_CUBE
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_IMAGE_BUFFER

public static final int GL_IMAGE_BUFFER
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_IMAGE_1D_ARRAY

public static final int GL_IMAGE_1D_ARRAY
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_IMAGE_2D_ARRAY

public static final int GL_IMAGE_2D_ARRAY
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_IMAGE_CUBE_MAP_ARRAY

public static final int GL_IMAGE_CUBE_MAP_ARRAY
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_IMAGE_2D_MULTISAMPLE

public static final int GL_IMAGE_2D_MULTISAMPLE
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_IMAGE_2D_MULTISAMPLE_ARRAY

public static final int GL_IMAGE_2D_MULTISAMPLE_ARRAY
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_IMAGE_1D

public static final int GL_INT_IMAGE_1D
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_IMAGE_2D

public static final int GL_INT_IMAGE_2D
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_IMAGE_3D

public static final int GL_INT_IMAGE_3D
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_IMAGE_2D_RECT

public static final int GL_INT_IMAGE_2D_RECT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_IMAGE_CUBE

public static final int GL_INT_IMAGE_CUBE
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_IMAGE_BUFFER

public static final int GL_INT_IMAGE_BUFFER
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_IMAGE_1D_ARRAY

public static final int GL_INT_IMAGE_1D_ARRAY
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_IMAGE_2D_ARRAY

public static final int GL_INT_IMAGE_2D_ARRAY
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_IMAGE_CUBE_MAP_ARRAY

public static final int GL_INT_IMAGE_CUBE_MAP_ARRAY
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_IMAGE_2D_MULTISAMPLE

public static final int GL_INT_IMAGE_2D_MULTISAMPLE
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_IMAGE_2D_MULTISAMPLE_ARRAY

public static final int GL_INT_IMAGE_2D_MULTISAMPLE_ARRAY
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_IMAGE_1D

public static final int GL_UNSIGNED_INT_IMAGE_1D
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_IMAGE_2D

public static final int GL_UNSIGNED_INT_IMAGE_2D
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_IMAGE_3D

public static final int GL_UNSIGNED_INT_IMAGE_3D
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_IMAGE_2D_RECT

public static final int GL_UNSIGNED_INT_IMAGE_2D_RECT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_IMAGE_CUBE

public static final int GL_UNSIGNED_INT_IMAGE_CUBE
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_IMAGE_BUFFER

public static final int GL_UNSIGNED_INT_IMAGE_BUFFER
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_IMAGE_1D_ARRAY

public static final int GL_UNSIGNED_INT_IMAGE_1D_ARRAY
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_IMAGE_2D_ARRAY

public static final int GL_UNSIGNED_INT_IMAGE_2D_ARRAY
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_IMAGE_CUBE_MAP_ARRAY

public static final int GL_UNSIGNED_INT_IMAGE_CUBE_MAP_ARRAY
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_IMAGE_2D_MULTISAMPLE

public static final int GL_UNSIGNED_INT_IMAGE_2D_MULTISAMPLE
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_IMAGE_2D_MULTISAMPLE_ARRAY

public static final int GL_UNSIGNED_INT_IMAGE_2D_MULTISAMPLE_ARRAY
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_IMAGE_FORMAT_COMPATIBILITY_TYPE

public static final int GL_IMAGE_FORMAT_COMPATIBILITY_TYPE
Accepted by the <value> parameter of GetTexParameteriv, GetTexParameterfv, GetTexParameterIiv, and GetTexParameterIuiv:

See Also:
  - Constant Field Values

### GL_IMAGE_FORMAT_COMPATIBILITY_BY_SIZE

public static final int GL_IMAGE_FORMAT_COMPATIBILITY_BY_SIZE
Returned in the <data> parameter of GetTexParameteriv, GetTexParameterfv, GetTexParameterIiv, and GetTexParameterIuiv when <value> is IMAGE_FORMAT_COMPATIBILITY_TYPE:

See Also:
  - Constant Field Values

### IMAGE_FORMAT_COMPATIBILITY_BY_CLASS

public static final int IMAGE_FORMAT_COMPATIBILITY_BY_CLASS
Returned in the <data> parameter of GetTexParameteriv, GetTexParameterfv, GetTexParameterIiv, and GetTexParameterIuiv when <value> is IMAGE_FORMAT_COMPATIBILITY_TYPE:

See Also:
  - Constant Field Values

## Method Details

### glBindImageTexture

public static void glBindImageTexture(int unit, int texture, int level, boolean layered, int layer, int access, int format)

### glMemoryBarrier

public static void glMemoryBarrier(int barriers)